#! /usr/bin/env python
##
##---------------------------------------------------------------------------##
##
## PySol -- a Python Solitaire Game Collection
##
## Copyright (C) 2000 Markus Franz Xaver Johannes Oberhumer
## Copyright (C) 1999 Markus Franz Xaver Johannes Oberhumer
## Copyright (C) 1998 Markus Franz Xaver Johannes Oberhumer
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; see the file COPYING.
## If not, write to the Free Software Foundation, Inc.,
## 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
##
## Markus F.X.J. Oberhumer
## <markus.oberhumer@jk.uni-linz.ac.at>
## http://wildsau.idv.uni-linz.ac.at/mfx/pysol/
## http://pysol.tsx.org
##
##---------------------------------------------------------------------------##

###
###  This is just a convenience loader for the byte-compiled version.
###  The full source code can be obtained from the PySol home page.
###

import imp, os, sys

# set sys.path to avoid other Python installations
##prefix = sys.exec_prefix
prefix = sys.path[0]
if prefix:
    prefix = os.path.normpath(prefix)
lib = (prefix or ".") + "\\python"
sys.path = [prefix]
for dir in ("Lib", "Lib\\lib-tk", "Lib\\Plat-Win", "DLLs"):
    sys.path.append("%s\\%s" % (lib, dir))

# setup Tkinter
os.putenv("TCL_LIBRARY", lib + "\\DLLs\\tcl8.3")
os.putenv("TK_LIBRARY", lib + "\\DLLs\\tk8.3")

# cleanup
del dir, lib, prefix

# start PySol
sys.path[0] = os.path.normpath(os.path.join(sys.path[0], "data"))
sys.argv[0] = os.path.normpath(os.path.join(sys.path[0], "pysol.pyc"))
imp.load_compiled("__main__", sys.argv[0])

